import { defineComponent, ref, onMounted } from 'vue'

import { CImgText } from '@src/components/CImgText'
import { CCard } from '@src/components/CCard'
import { CMyPage } from '@src/components/CMyPage'
import { CTitleBanner } from '@src/components/CTitleBanner'
import { CGridTableRec } from '@src/components/CGridTableRec'

import { colmypage } from '@src/store/Modules/fieldsTable'
import { fieldsTable } from '@store/Modules/fieldsTable'
import MixinMetaTags from '@src/mixins/mixin-metatags'

export default defineComponent({
  name: 'Operators',
  components: { CImgText, CCard, CMyPage, CTitleBanner, CGridTableRec },
  setup() {

    const { setmeta } = MixinMetaTags()

    return {
      colmypage,
      setmeta,
      fieldsTable,
    }
  }
})
